// Used to change basic non-theme-specific styles across the app
// Usually colors are completly excluded
//

// *****************************
// RESOLUTION INDEPENDENT
// *****************************
%disable-text-selection {
  -webkit-touch-callout: none; /* iOS Safari */
  -webkit-user-select: none; /* Safari */
  -khtml-user-select: none; /* Konqueror HTML */
  -moz-user-select: none; /* Firefox */
  -ms-user-select: none; /* Internet Explorer/Edge */
  user-select: none; /* Non-prefixed version, currently
                                    supported by Chrome and Opera */
}

@mixin box-shadow($color) {
  box-shadow: rgba($color, 0.3) 0px 1px 2px 0px,
    rgba($color, 0.15) 0px 2px 6px 2px, 0 1px 2px 0 rgba($color, 0.3),
    0 2px 6px 2px rgba($color, 0.15);
}

h1,
h2,
h3,
h4,
h5,
h6,
div,
span,
li,
a {
  @extend %disable-text-selection;
}

:root,
body {
  font-size: 100%;
  height: 100%;
}

body {
  transition: background-color 0.5s;
  display: flex;
  overflow-y: hidden;
}

root {
  flex: 1 1 auto;
  display: flex;
}

button {
  outline: none;
  border: none;
  cursor: pointer;
}

ul {
  list-style-type: none;
  margin: 0;
  padding: 0;
}

li {
  outline: none;
}

// *****************************
// RESOLUTION DEPENDENT
// Spec: https://material.io/design/layout/responsive-layout-grid.html#breakpoints
// *****************************

// *****************************
// SMALL
// *****************************
@media only screen and (max-width: 1023px) {
}

// *****************************
// MEDIUM
// *****************************
@media only screen and (min-width: 1024px) and (max-width: 1439px) {
}

// *****************************
// LARGE
// *****************************
@media only screen and (min-width: 1440px) and (max-width: 1919px) {
}

// *****************************
// X-LARGE
// *****************************
@media only screen and (min-width: 1920px) {
}
